import React, {Component} from 'react';
import { inject, observer } from 'mobx-react';

@inject('toDoStore')
@observer
export default class extends Component {
  constructor(props) {
    super(props);
    this.toDoInput = React.createRef();
  }

  componentDidMount() {
    this.props.toDoStore.getToDos();
  }

  handleSubmit = (e) => {
    e.preventDefault();
    this.props.toDoStore.addToDo(this.toDoInput.current.value);
    e.target.reset();
  }

  render() {
    return (
      <div>
        <p>You have {this.props.toDoStore.toDoCount} ToDo items</p>
        <ul>
          {this.props.toDoStore.toDos.map(toDo => <li key={toDo}>{toDo}</li>)}
        </ul>
        <form onSubmit={this.handleSubmit}>
          <input
            type="text"
            placeholder="Add a ToDo"
            ref={this.toDoInput}
          />
        </form>
      </div>
    );
  }
}