import { observable, action, computed } from 'mobx';
import axios from 'axios';

class ToDoStore {
  @observable toDos = [];

  @action 
  addToDo = toDo => {
    this.toDos.push(toDo);
  }

  @action
  getToDos = () => {
    axios.get('https://jsonplaceholder.typicode.com/todos?userId=1&completed=false')
    .then(this.getToDosSuccess)
    .catch(function (error) {
      console.log(error);
    });
  }

  @action
  getToDosSuccess = (response) => {
    const fetchedToDos = response.data.map(item => item.title);
    this.toDos = [
      ...this.toDos,
      ...fetchedToDos
    ];
  }

  @computed
  get toDoCount() {
    return this.toDos.length;
  }
}

export default new ToDoStore();